package com.ekexiu.portal.util;

import java.awt.image.BufferedImage;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;

import sun.misc.BASE64Encoder;
import sun.misc.BASE64Decoder;

/**
 * 将base码解码成图片格式。
 */
@SuppressWarnings("restriction")
public class Base64 {
	public static BufferedImage getBase64(String base64) {
		BASE64Decoder decoder = new sun.misc.BASE64Decoder();
		try { 
			byte[] bytes = decoder.decodeBuffer(base64);                  
	        ByteArrayInputStream bais = new ByteArrayInputStream(bytes);    
	        BufferedImage bi =ImageIO.read(bais);
			return bi; 
		} catch (Exception e) { 
			return null; 
		} 
	}
	
	public static void main(String[] args) throws IOException {
		BASE64Encoder encoder = new sun.misc.BASE64Encoder();
		File f = new File("D:/application/Workspaces/ekexiu.com.portal/src/main/webapp/images/head/03BF8D4ABF19481AA7BE4CD9509E3243_l.jpg");
		BufferedImage bi = ImageIO.read(f);
		ByteArrayOutputStream baos = new ByteArrayOutputStream();    
		ImageIO.write(bi, "jpg", baos);
		byte[] bytes = baos.toByteArray();
		String base64 = encoder.encodeBuffer(bytes).trim();
		BufferedImage bi1 = Base64.getBase64(base64);
		File file = new File("D:/测试图片.jpg");//可以是jpg,png,gif格式    
		ImageIO.write(bi1, "jpg", file);//不管输出什么格式图片，此处不需改动   
		System.out.println("图片保存成功！");
	}
}
